public class Ops {
    public static void printbin(int wert, int bits) {
    	if (bits > 1)
	    printbin(wert >>> 1, bits - 1);
	System.out.print(wert & 1);
    }
    public static void main(String[] args) {
    	// bitweise Operatoren
        byte a = 53, b = 47;
	System.out.print("a =      "); printbin(a, 8); System.out.println();
	System.out.print("b =      "); printbin(b, 8); System.out.println();
	System.out.print("~a =     "); printbin(~a, 8); System.out.println();
	System.out.print("a & b =  "); printbin(a & b, 8); System.out.println();
	System.out.print("a ^ b =  "); printbin(a ^ b, 8); System.out.println();
	System.out.print("a | b =  "); printbin(a | b, 8); System.out.println();
	System.out.print("a << 1 = "); printbin(a << 1, 8); System.out.println();
	System.out.print("a >> 1 = "); printbin(a >> 1, 8); System.out.println();

	// Auswahloperator, Stringkonkatenation und Vergleich
	System.out.println("Ist a < b? "+(a < b ? "ja" : "nein"));

	// Prae- und Postinkrement
	System.out.println("a =   "+a);
	System.out.println("++a = "+(++a));
	System.out.println("a =   "+a);
	System.out.println("a++ = "+(a++));
	System.out.println("a =   "+a);

	// Zuweisung mit Operator
	System.out.println("b =   "+b);
	b += 2;				// aequivalent zu b = b + 2;
	System.out.println("b =   "+b);
    }
}
